Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.audit
Class AuditManager

    java.lang.Object
      com.sun.mdm.index.audit.AuditManager

public class AuditManager
extends java.lang.Object

Class to perform audit-related SQL operations

Constructor Summary
`AuditManager()` Creates a new instance of AuditManager

Method Summary
`void` | `insertAuditLog(java.sql.Connection con, AuditDataObject auditObject)` Add audit data to the database.
`AuditIterator` | `lookupAuditLog(java.sql.Connection con, AuditSearchObject obj)` retrieve audit data from the audit table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditManager

    public AuditManager()

  Creates a new instance of AuditManager

Method Detail

### insertAuditLog

    public void insertAuditLog(java.sql.Connection con,
                               AuditDataObject auditObject)
                        throws AuditException,
                               UserException

  Add audit data to the database.

  Parameters:
    `con` - Database connection handle.
    `auditObject` - auditObject.
  Throws:
    `UserException` - if a user error is encountered.
    `AuditException` - if any other type of error is encountered.

### lookupAuditLog

    public AuditIterator lookupAuditLog(java.sql.Connection con,
                                        AuditSearchObject obj)
                                 throws AuditException

  retrieve audit data from the audit table

  Parameters:
    `con` - Database connection handle.
    `obj` - AuditSearchObject that contains search criteria.
  Returns:
    AuditIterator object to iterate through audit records.
  Throws:
    `AuditException` - if an error is encountered.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.